import requests


def send_request(title, stu_code):
    url = 'https://mskzkt.jse.edu.cn/baseApi/student/get_stu_info/'
    headers = {
        'Host':'mskzkt.jse.edu.cn',
        'Accept': 'application/json, text/javascript, */*; q=0.01',
        'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
        'Sec-Fetch-Site':'same-origin',
        'Origin': 'https://mskzkt.jse.edu.cn',
        'Sec-Fetch-Mode': 'cors',
        'User-Agent': 'Mozilla/5.0 (iPhone; CPU iPhone OS 18_2_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/18.2 Mobile/15E148 Safari/604.1',
        'Referer': 'https://mskzkt.jse.edu.cn/cloudCourse/register/student/',
        'Sec-Fetch-Dest': 'empty',
        'X-Requested-With': 'XMLHttpRequest',
        'Accept-Language': 'zh-CN,zh-Hans;q=0.9',
        'Priority': 'u=3, i',
        'Accept-Encoding': 'gzip, deflate, br',
        'Cookie': 'Hm_lpvt_2f6dcff72759fb2918d6f8b4f1ad23a5=1739277480; Hm_lvt_2f6dcff72759fb2918d6f8b4f1ad23a5=1738735969,1738743499,1739134109,1739277464; HMACCOUNT=50612B5D8CDD7E45; cna=3253eafaff431bbbdc345d83fd073809; _abfpc=33381e047a8ca6b2ae5f67f47fae5069acf6fe87_2.0',
        'Connection': 'keep-alive'
    }
    # 在身份证号码前加G
    modified_stu_code = 'G' + stu_code
    data = {
        'title': title,
      'stu_code': modified_stu_code
    }

    try:
        response = requests.post(url, headers=headers, data=data)
        response.raise_for_status()
        json_response = response.json()
        if 'data' in json_response:
            return json_response['data']
        else:
            print("响应体中未找到 'data' 字段")
            return None
    except requests.exceptions.RequestException as e:
        print(f"请求发生错误: {e}")
        return None


if __name__ == "__main__":
    input_title = input("请输入姓名: ")
    input_stu_code = input("请输入身份证号码: ")
    result = send_request(input_title, input_stu_code)
    if result:
        print(result)
